> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Samples in a Sequencing Batch

GET all samples in given Sequencing Batch. Returns a paginated list of objects including the `tube_barcode` and the `sample` resource.


## OpenAPI

````yaml GET /api/v1/sequencing/batches/{id}/samples
openapi: 3.0.0
info:
  title: One Codex API (v1)
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/sequencing/batches/{id}/samples:
    get:
      summary: GET sequencing/batches samples
      operationId: get_sequencing/batches_samples
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                default: []
                items:
                  type: object
                  properties:
                    sample:
                      type: object
                      description: >-
                        The sample object associated with the tube barcode. Note
                        this may be in a pending upload state if the lab has not
                        finished processing the physical sample.
                      properties:
                        $ref: 3a0758af-c923-404a-b280-e04ab70abb98
                    tube_barcode:
                      type: string
                      description: The tube barcode for the sample sent to the lab.
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````